import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { PickerService, PickerCell } from '../picker/picker.service';
import { UIDate } from './date-utils';
export declare class DateComponent implements ControlValueAccessor, OnInit, OnDestroy {
    private pickerService;
    uiChange: EventEmitter<string | number>;
    title: string;
    name: string;
    forId: string;
    format: string;
    displayFormat: string;
    placeholder: string;
    arrowIconClassName: string;
    set value(value: string | number | Date);
    get value(): string | number | Date;
    set maxDate(value: string | Date);
    set minDate(value: string | Date);
    set disabled(isDisabled: any);
    get disabled(): any;
    set readonly(isReadonly: any);
    get readonly(): any;
    focus: boolean;
    years: Array<PickerCell>;
    months: Array<PickerCell>;
    days: Array<PickerCell>;
    hours: Array<PickerCell>;
    minutes: Array<PickerCell>;
    seconds: Array<PickerCell>;
    currentDate: UIDate;
    displayValue: string;
    private _disabled;
    private _readonly;
    private _value;
    private _maxDate;
    private _minDate;
    private onChange;
    private onTouched;
    private timer;
    private sub;
    private isScrolling;
    constructor(arrowIcon: string, pickerService: PickerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    initYears(): void;
    initMonths(): void;
    initDays(): void;
    show(): void;
    selected(): void;
    cellSelected(cell: PickerCell, type: string): void;
    hide(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
